Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwayDiagramViewOptions

    |
    +--biouml.model.DiagramViewOptions
      |
      +--biouml.standard.diagram.PathwayDiagramViewOptions

Direct Known Subclasses:
  GeneNetworkDiagramType.GeneNetworkDiagramViewOptions, MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions, PathwaySimulationDiagramViewOptions, SemanticNetworkDiagramType.SemanticNetworkDiagramViewOptions

public class PathwayDiagramViewOptions
extends DiagramViewOptions

Inner Class Summary
`public static class` | PathwayDiagramViewOptions.RelationTypeColor
`public class` | PathwayDiagramViewOptions.RelationTypeStroke

Field Summary
`Brush` | `ActiveProteinBrush`
`boolean` | `automaticallyLocateReactions`
`Pen` | `CatalystActionPen`
`Brush` | `CellCytoplasmBrush`
`Brush` | `CellNucleusBrush`
`Brush` | `DecreaseActionBrush`
`Brush` | `GeneBrush`
`Brush` | `InactiveProteinBrush`
`Brush` | `IncreaseActionBrush`
`Pen` | `InhibitorActionPen`
`Brush` | `ModefiedProteinBrush`
`Pen` | `processPen`
`Brush` | `ProteinBrush`
`Brush` | `ReactionBrush`
`Pen` | `ReactionPen`
`boolean` | `showReactionName`
`Pen` | `statePen`
`Brush` | `SubstanceBrush`
`Brush` | `SwitchOffActionBrush`
`Pen` | `SwitchOffActionPen`
`Brush` | `SwitchOnActionBrush`
`Pen` | `SwitchOnActionPen`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, diagramTitleAlignment`

Constructor Summary
`PathwayDiagramViewOptions(Option parent)` Creates `PathwayDiagramViewOptions` and initializes it.

Method Summary
`RelationTypeColor[]` | `getRelationTypeColors()`
`RelationTypeStroke[]` | `getRelationTypeStrokes()`
`Brush` | `getSemanticRelationBrush(String relationType)`
`Pen` | `getSemanticRelationPen(String relationType, String participationType)`
`Point` | `getTitleMargin()`
`void` | `initSemanticRelationOptions()`
`void` | `setRelationTypeColors(RelationTypeColor[] relationTypeColors)`
`void` | `setRelationTypeStrokes(RelationTypeStroke[] relationTypeStrokes)`
`void` | `setTitleMargin(Point titleMargin)`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Field Detail

### ActiveProteinBrush

    public Brush ActiveProteinBrush

### automaticallyLocateReactions

    public boolean automaticallyLocateReactions

### CatalystActionPen

    public Pen CatalystActionPen

### CellCytoplasmBrush

    public Brush CellCytoplasmBrush

### CellNucleusBrush

    public Brush CellNucleusBrush

### DecreaseActionBrush

    public Brush DecreaseActionBrush

### GeneBrush

    public Brush GeneBrush

### InactiveProteinBrush

    public Brush InactiveProteinBrush

### IncreaseActionBrush

    public Brush IncreaseActionBrush

### InhibitorActionPen

    public Pen InhibitorActionPen

### ModefiedProteinBrush

    public Brush ModefiedProteinBrush

### processPen

    public Pen processPen

### ProteinBrush

    public Brush ProteinBrush

### ReactionBrush

    public Brush ReactionBrush

### ReactionPen

    public Pen ReactionPen

### showReactionName

    public boolean showReactionName

### statePen

    public Pen statePen

### SubstanceBrush

    public Brush SubstanceBrush

### SwitchOffActionBrush

    public Brush SwitchOffActionBrush

### SwitchOffActionPen

    public Pen SwitchOffActionPen

### SwitchOnActionBrush

    public Brush SwitchOnActionBrush

### SwitchOnActionPen

    public Pen SwitchOnActionPen

Constructor Detail

### PathwayDiagramViewOptions

    public PathwayDiagramViewOptions(Option parent)

  Creates `PathwayDiagramViewOptions` and initializes it.
  Parameters:
    parent - parent property

Method Detail

### getRelationTypeColors

    public RelationTypeColor[] getRelationTypeColors()

### getRelationTypeStrokes

    public RelationTypeStroke[] getRelationTypeStrokes()

### getSemanticRelationBrush

    public Brush getSemanticRelationBrush(String relationType)

### getSemanticRelationPen

    public Pen getSemanticRelationPen(String relationType, String participationType)

### getTitleMargin

    public Point getTitleMargin()

### initSemanticRelationOptions

    public void initSemanticRelationOptions()

### setRelationTypeColors

    public void setRelationTypeColors(RelationTypeColor[] relationTypeColors)

### setRelationTypeStrokes

    public void setRelationTypeStrokes(RelationTypeStroke[] relationTypeStrokes)

### setTitleMargin

    public void setTitleMargin(Point titleMargin)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.Brush

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.font.ColorFont

to Class java.awt.Point

  Margin between title and surrounding it raound rectangle.

to Class biouml.standard.diagram.PathwayDiagramViewOptions.RelationTypeColor

to Class biouml.standard.diagram.PathwayDiagramViewOptions.RelationTypeStroke

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM